%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name react-helmet

Name: %{?scl_prefix}nodejs-react-helmet
Version: 5.2.0
Release: 3.fc29%{?dist}
Summary: A document head manager for React
License: MIT
Group: Development/Libraries
URL: https://github.com/nfl/react-helmet#readme
Source0: https://registry.npmjs.org/deep-equal/-/deep-equal-1.1.0.tgz
Source1: https://registry.npmjs.org/define-properties/-/define-properties-1.1.3.tgz
Source2: https://registry.npmjs.org/function-bind/-/function-bind-1.1.1.tgz
Source3: https://registry.npmjs.org/has/-/has-1.0.3.tgz
Source4: https://registry.npmjs.org/is-arguments/-/is-arguments-1.0.4.tgz
Source5: https://registry.npmjs.org/is-date-object/-/is-date-object-1.0.1.tgz
Source6: https://registry.npmjs.org/is-regex/-/is-regex-1.0.4.tgz
Source7: https://registry.npmjs.org/js-tokens/-/js-tokens-4.0.0.tgz
Source8: https://registry.npmjs.org/loose-envify/-/loose-envify-1.4.0.tgz
Source9: https://registry.npmjs.org/object-assign/-/object-assign-4.1.1.tgz
Source10: https://registry.npmjs.org/object-is/-/object-is-1.0.1.tgz
Source11: https://registry.npmjs.org/object-keys/-/object-keys-1.1.1.tgz
Source12: https://registry.npmjs.org/prop-types/-/prop-types-15.7.2.tgz
Source13: https://registry.npmjs.org/react-helmet/-/react-helmet-5.2.0.tgz
Source14: https://registry.npmjs.org/react-is/-/react-is-16.10.2.tgz
Source15: https://registry.npmjs.org/react-side-effect/-/react-side-effect-1.2.0.tgz
Source16: https://registry.npmjs.org/regexp.prototype.flags/-/regexp.prototype.flags-1.2.0.tgz
Source17: https://registry.npmjs.org/shallowequal/-/shallowequal-1.1.0.tgz
Source18: nodejs-react-helmet-%{version}-registry.npmjs.org.tgz
%if 0%{?scl:1}
BuildRequires: %{?scl_prefix_nodejs}npm
%else
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(deep-equal)) = 1.1.0
Provides: bundled(npm(define-properties)) = 1.1.3
Provides: bundled(npm(function-bind)) = 1.1.1
Provides: bundled(npm(has)) = 1.0.3
Provides: bundled(npm(is-arguments)) = 1.0.4
Provides: bundled(npm(is-date-object)) = 1.0.1
Provides: bundled(npm(is-regex)) = 1.0.4
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(object-is)) = 1.0.1
Provides: bundled(npm(object-keys)) = 1.1.1
Provides: bundled(npm(prop-types)) = 15.7.2
Provides: bundled(npm(react-helmet)) = 5.2.0
Provides: bundled(npm(react-is)) = 16.10.2
Provides: bundled(npm(react-side-effect)) = 1.2.0
Provides: bundled(npm(regexp.prototype.flags)) = 1.2.0
Provides: bundled(npm(shallowequal)) = 1.1.0
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 18 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/es %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%license node_modules/%{npm_name}/LICENSE
%doc node_modules/%{npm_name}/CHANGELOG.md
%doc node_modules/%{npm_name}/README.md

%changelog
* Tue Oct 22 2019 Eric D. Helms <ericdhelms@gmail.com> - 5.2.0-3.fc29
- Switch to bundle and build for SCL

* Sun Oct 06 2019 Eric D. Helms <ericdhelms@gmail.com> - 5.2.0-2
- Update to handle building for SCL

* Mon Sep 10 2018 Eric D. Helms <ericdhelms@gmail.com> 5.2.0-1
- Add nodejs-react-helmet generated by npm2rpm using the bundle strategy
